#include "wfpage.h"

WFPage::WFPage(QWidget *parent) :
    QWidget(parent)
{
    wfPlot_v = new WFPlot();
    wfPlot_e1 = new WFPlot();
    wfPlot_e2 = new WFPlot();
    wfPlot_b1 = new WFPlot();
    wfPlot_b2 = new WFPlot();
    wfPlot_b3 = new WFPlot();
    //
    wfPlot_v->customPlot->setTitle("v");
    wfPlot_e1->customPlot->setTitle("e1");
    wfPlot_e2->customPlot->setTitle("e2");
    wfPlot_b1->customPlot->setTitle("b1");
    wfPlot_b2->customPlot->setTitle("b2");
    wfPlot_b3->customPlot->setTitle("b3");
    //
    mainLayout = new QGridLayout;
    mainLayout->addWidget(wfPlot_v, 0, 0, 1, 1);
    mainLayout->addWidget(wfPlot_e1, 0, 1, 1, 1);
    mainLayout->addWidget(wfPlot_e2, 0, 2, 1, 1);
    mainLayout->addWidget(wfPlot_b1, 1, 0, 1, 1);
    mainLayout->addWidget(wfPlot_b2, 1, 1, 1, 1);
    mainLayout->addWidget(wfPlot_b3, 1, 2, 1, 1);
    //
    this->setLayout(mainLayout);
}

void WFPage::displayOnPlot(short *data, unsigned char num)
{
    switch(num){
        case 0:
            wfPlot_v->displayOnPlot(data, DEFAULT_SIZE);
            break;
        case 1:
            wfPlot_e1->displayOnPlot(data, DEFAULT_SIZE);
            break;
        case 2:
            wfPlot_e2->displayOnPlot(data, DEFAULT_SIZE);
            break;
        case 3:
            wfPlot_b1->displayOnPlot(data, DEFAULT_SIZE);
            break;
        case 4:
            wfPlot_b2->displayOnPlot(data, DEFAULT_SIZE);
            break;
        case 5:
            wfPlot_b3->displayOnPlot(data, DEFAULT_SIZE);
         break;
    }
}
